TEMPLATE = app
TARGET = corepkit
INCLUDEPATH += .

QT -= gui

VERSION = 4.2.0

# thread - Enable threading support
# silent - Do not print the compilation syntax
CONFIG  += thread silent

# Disable QDebug on Release build
CONFIG(release, debug|release):DEFINES += QT_NO_DEBUG_OUTPUT

# Warn about deprecated features
DEFINES += QT_DEPRECATED_WARNINGS
# Disable all deprecated features before Qt 5.15
DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x051500

# Build location
BUILD_PREFIX = $$(CA_BUILD_DIR)
isEmpty( BUILD_PREFIX ) {
	BUILD_PREFIX = ./build
}

MOC_DIR       = $$BUILD_PREFIX/corepkit/moc-plugins/
OBJECTS_DIR   = $$BUILD_PREFIX/corepkit/obj-plugins/
RCC_DIR       = $$BUILD_PREFIX/corepkit/qrc-plugins/
UI_DIR        = $$BUILD_PREFIX/corepkit/uic-plugins/

# C++17 Support for Qt5
QMAKE_CXXFLAGS += -std=c++17

# Input
SOURCES += corepkit.cpp

unix {
	isEmpty(PREFIX) {
	        PREFIX = /usr
	}

	INSTALLS += target pkit

	DEFINES += VERSION_TEXT=\"\\\"$${VERSION}\\\"\"

	target.path = /usr/libexec/coreapps/

	pkit.path = /usr/share/polkit-1/actions/
	pkit.files = org.cubocore.coreapps.policy
}
