TEMPLATE = lib
TARGET = sni

QT += widgets  dbus

VERSION = 4.2.0

INCLUDEPATH += .

# Library section
unix:!macx: LIBS += -lcprime-widgets

# thread - Enable threading support
# silent - Do not print the compilation syntax
CONFIG  += thread silent plugin

# DBus Menu
CONFIG += link_pkgconfig
PKGCONFIG += dbusmenu-qt5

# Disable QDebug on Release build
CONFIG(release, debug|release):DEFINES += QT_NO_DEBUG_OUTPUT

# Warn about deprecated features
DEFINES += QT_DEPRECATED_WARNINGS
# Disable all deprecated features before Qt 5.15
DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x051500
# C++17 Support for Qt5
QMAKE_CXXFLAGS += -std=c++17

# Status notifier item
notifier.files = org.kde.StatusNotifierItem.xml
notifier.header_flags = -i types.h

DBUS_ADAPTORS += notifier
DBUS_INTERFACES += notifier

# Build location
BUILD_PREFIX = $$(CA_BUILD_DIR)
isEmpty( BUILD_PREFIX ) {
        BUILD_PREFIX = ./build
}

MOC_DIR       = $$BUILD_PREFIX/moc-plugins/
OBJECTS_DIR   = $$BUILD_PREFIX/obj-plugins/
RCC_DIR       = $$BUILD_PREFIX/qrc-plugins/
UI_DIR        = $$BUILD_PREFIX/uic-plugins/

# C++17 Support for Qt5
QMAKE_CXXFLAGS += -std=c++17

unix {
        isEmpty(PREFIX) {
                PREFIX = /usr
        }

        DEFINES += VERSION_TEXT=\"\\\"$${VERSION}\\\"\"

        INSTALLS += target
        target.path = $$PREFIX/lib/coreapps/plugins
}

HEADERS += \
    dbustypes.h \
    sniasync.h \
    statusnotifierbutton.h \
    statusnotifieriteminterface.h \
    statusnotifierwatcher.h \
    statusnotifierwidget.h \
    types.h

SOURCES += \
    dbustypes.cpp \
    sniasync.cpp \
    statusnotifierbutton.cpp \
    statusnotifieriteminterface.cpp \
    statusnotifierwatcher.cpp \
    statusnotifierwidget.cpp

