TEMPLATE = lib
TARGET = tray

QT += widgets x11extras

VERSION = 4.2.0

# Library section
LIBS += -lX11 -lXdamage -lXrender -lXcomposite

# thread - Enable threading support
# silent - Do not print the compilation syntax
CONFIG  += thread silent plugin

# Disable QDebug on Release build
CONFIG(release, debug|release):DEFINES += QT_NO_DEBUG_OUTPUT

# Warn about deprecated features
DEFINES += QT_DEPRECATED_WARNINGS
# Disable all deprecated features before Qt 5.15
DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x051500

# Build location
BUILD_PREFIX = $$(CA_BUILD_DIR)
isEmpty( BUILD_PREFIX ) {
        BUILD_PREFIX = ./build
}

MOC_DIR       = $$BUILD_PREFIX/moc-plugins/
OBJECTS_DIR   = $$BUILD_PREFIX/obj-plugins/
RCC_DIR       = $$BUILD_PREFIX/qrc-plugins/
UI_DIR        = $$BUILD_PREFIX/uic-plugins/

# C++17 Support for Qt5
QMAKE_CXXFLAGS += -std=c++17

DEPENDPATH += .
INCLUDEPATH += .

unix {
        isEmpty(PREFIX) {
                PREFIX = /usr
        }

        DEFINES += VERSION_TEXT=\"\\\"$${VERSION}\\\"\"

        INSTALLS += target
        target.path = $$PREFIX/lib/coreapps/plugins
}

HEADERS += \
    fixx11h.h \
    lxqtglobals.h \
    lxqtgridlayout.h \
    lxqttray.h \
    trayicon.h \
    xfitman.h

SOURCES += \
    lxqtgridlayout.cpp \
    lxqttray.cpp \
    trayicon.cpp \
    xfitman.cpp
